<?php

namespace App\Entities;

use App\Entities\BaseEntity;

class BoardConfigEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['name'];
    }
    public function getHead()
    {
        return $this->attributes['head'];
    }
    public function getTail()
    {
        return $this->attributes['tail'];
    }
}
